resources:
  App\Entity\User\Chamber:
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'user:read'
        - 'customer:read'
        - 'media_file:read'
        - 'chamber:read'
        - 'company_info:read'
        - 'activity_info:read'

    denormalizationContext:
      groups:
        - 'company_info:write'
        - 'activity_info:write'
        - 'customer:write'
        - 'chamber:write'
        - 'media_file:write'
        - 'user:write'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'chamber.order_filter', 'chamber.search_filter' , 'user.search_filter', 'user.order_filter' ]
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
            - ApiKeyAuth: [ 'ROLE_API_KEY' ]
          summary: Chamber - List.
          description: >
            Retrieves a list of Chamber

      ApiPlatform\Metadata\Get:
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
            - ApiKeyAuth: [ 'ROLE_API_KEY' ]
          summary: Chamber - Item.
          description: >
            Retrieves a item of Chamber

      ApiPlatform\Metadata\Post:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
            - ApiKeyAuth: [ 'ROLE_API_KEY' ]
          summary: Chamber - Create.
          description: >
            create an item of Chamber

      ApiPlatform\Metadata\Put:
        security: 'is_granted("ROLE_INTERNAL") or is_granted("ROLE_API_KEY")'
        securityMessage: 'You are not authorized to access this resource.'
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
            - ApiKeyAuth: [ 'ROLE_API_KEY' ]
          summary: Chamber - Update.
          description: >
            update an item of Chamber

      ApiPlatform\Metadata\Delete:
        security: 'is_granted("ROLE_INTERNAL") or is_granted("ROLE_API_KEY")'
        securityMessage: 'You are not authorized to access this resource.'
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
            - ApiKeyAuth: [ 'ROLE_API_KEY' ]
          summary: Chamber - Delete.
          description: >
            delete an item of Chamber
